#include "MenuTextRight_Player1Joystick.h"

InputSetting_Joystick* MenuTextRight_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextRight_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_right;
}

std::weak_ptr<Entity> MenuTextRight_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextRight_Player1Joystick()
{
	return std::make_shared<MenuTextRight_Player1Joystick>();
}

